import dynamix_sdk.base as _base


class CloudapiBserviceDeleteResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiBserviceDeleteProtocol(_base.BasePostAPIFunctionProtocol):
    def delete(
        self,
        *,
        bservice_id: int,
        permanently: bool = False,
    ) -> CloudapiBserviceDeleteResultBool:
        ...
